### Struct

# GLib Tuples

deprecated: 2.26

#### Description [src]

    struct GTuples {
      guint len;
    }

The `GTuples` struct is used to return records (or tuples) from the `GRelation` by g_relation_select(). It only contains one public member - the number of records that matched. To access the matched records, you must use g_tuples_index().

###### Structure members

`len:` `guint`

  The number of records that matched.

Deprecated since: 2.26.

Rarely used API.

#### Instance methods

###### g_tuples_destroy

Frees the records which were returned by g_relation_select(). This should always be called after `g_relation_select()` when you are finished with the records. The records are not removed from the `GRelation`.

deprecated: 2.26

###### g_tuples_index

Gets a field from the records returned by g_relation_select(). It returns the given field of the record at the given index. The returned value should not be changed.

deprecated: 2.26